* {
    margin: 0;
    padding: 0;
}

:root {
    --dark-slate-gray: #374B4A;
    --feldgrau: #526760;
    --olive: #32403B;
    --dark-green: #0a0e0c;
    --mint-cream: #DBE9E4;
    --cream: #eaf8f3;
    --lblue: #88D9E6;
    --cel: #C5FFFD;
    --green: #39d67a;
    --red: #f8b9b4;
}

html, body {
    font-family: "Sunflower", Arial, Helvetica, sans-serif;
    background-color: var(--cream);
    font-size: 16px;
    overflow-x: hidden;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

header {
    background-color: var(--dark-slate-gray);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-content {
    display: flex;
    align-items: center;
    gap: 10px;
}

header img {
    width: 50px;
    height: auto;
    border-radius: 5px;  
    padding: 1rem;
}

.chamber-title {
    font-family: "Nova Cut", Arial, Helvetica, sans-serif;
    font-size: 1.5rem;
    line-height: 1.4;
    font-weight: bold;
    color: var(--mint-cream);
    text-align: left;
}

nav {
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
}

.navigation {
    list-style: none;
    display: flex;
    gap: 20px;
}

.navigation li {
    display: inline;
}

.navigation a {
    color: var(--mint-cream);
    text-decoration: none;
    font-weight: bold;
    font-size: large;
    padding: 10px 15px;
    transition: color 0.3s ease;
}

.navigation a.active {
    color: var(--mint-cream);
    font-weight: bold;
}

.navigation a.active::before {
    content: "🌐 ";
}

.navigation a:hover {
    color: var(--lblue);
    font-weight: bold;
}

footer {
    color: var(--mint-cream);
    background: var(--dark-slate-gray);
    padding: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    flex-wrap: wrap;
    min-height: 125px;
}

footer a {
    text-decoration: none;
}

.coc-contact, .socials, .bq-copyright {
    flex: 1;
    text-align: center;
}

.socials {
    text-align: center;
}

.socials img {
    margin: 0 0.5rem;
    height: 50px;
    width: 50px;
}

@media screen and (max-width: 37.5em) {
    #menu {
        display: block;
        position: absolute;
        top: 1rem;
        right: 1rem;
        font-size: 2rem;
        font-weight: 700;
        color: var(--mint-cream);
        padding: 0.5rem 0.75rem;
        cursor: pointer;
        text-decoration: none;
    }

    #menu::before {
        content: "≡";
    }

    #menu.show::before {
        content: "X";
    }

    .chamber-title {
        padding-bottom: 1rem;
    }

    .navigation {
        display: none;
        list-style: none;
        background-color: var(--olive);
        text-align: center;
        padding: 0;
        margin: 0 auto;
        width: 100%;
    }

    .navigation.show {
        display: block;
    }

    .navigation li {
        display: block;
    }

    .navigation a {
        display: block;
        padding: 0.5rem 1rem;
        font-size: large;
        color: var(--mint-cream);
        text-decoration: none;
        transition: 0.3s;
    }

    .navigation a:hover,
    .navigation a:active {
        color: var(--lblue);
        font-weight: 800;
        transform: scale(1.05);
    }

    header {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .header-content {
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }

    header img {
        width: 40px;
    }

    nav {
        width: 100%;
        justify-content: center;
    }

    .chamber-title {
        font-size: 1.2rem;
        text-align: center;
    }

    footer {
        flex-direction: column;
        align-items: flex-start;
        text-align: left;
        min-height: 125px;
        height: auto;
        box-sizing: border-box;
        overflow: hidden;
    }

    .socials {
        text-align: left;
        margin-top: 1rem;
    }

    .coc-contact {
        text-align: left;
    }
}  